/* ================= PHOENIX CONTACT HERO ================= */
html, body {
  overflow-x: hidden;
  width: 100%;
}
* {
  box-sizing: border-box;
}

img {
  max-width: 100%;
  height: auto;
}


.phoenix-hero-full {
    width: 100%;
    height: 640;                          /* height grows according to image */
    min-height: 640px;                      /* optional minimum height */
    background: url("images/phenoix 1.svg") center/contain no-repeat;
    position: relative;
    border-radius: 0 0 35px 35px;
    overflow: visible;                      /* show full image */
    margin-bottom: 70px;
    ;
}
@media (max-width: 600px) {

  .phoenix-hero-full {
    height: auto;
    min-height: 370px;          /* adjust feel */
    aspect-ratio: 16 / 9;       /* keeps proper proportion */
    background-size: contain;   /* ensures full image visible */
    background-position: center;
    background-repeat: no-repeat;
  }

}


/* phenoix section*/
.phoenix-section {
    font-family: "Helvetica", "Arial", sans-serif;
    background: #fbfbfd;
    
}

/* HERO */
.phoenix-hero {
    text-align: center;
    align-items: center;
    justify-content: center;
    padding: 50px 0% 80px;
    background: linear-gradient(135deg, #0b0a24, #1a192f);
    color: #fff;
    border-radius: 35px 35px 0 0;
    opacity: 0;
    transform: translateX(-100px); /* slide from left */
    transition: all 1s ease;
}

.phoenix-hero.show {
    opacity: 1;
    transform: translateX(0);
}

.phoenix-hero h1 {
    font-size: 30px;
    margin-bottom: 20px;
}

.phoenix-hero p {
    font-size: 16px;
    margin-bottom: 30px;
    color: #ccc;
}

.phoenix-btn {
    display: inline-block;
    padding: 12px 30px;
    background: linear-gradient(135deg, #ff8c00, #ff5e00);
    background-size: 200% 200%;          /* for smooth gradient animation */
    color: #fff;
    text-decoration: none;
    border-radius: 30px;
    font-weight: 600;
    transition: all 0.4s ease;
    box-shadow: 0 5px 15px rgba(255,94,0,0.3);
}

.phoenix-btn:hover {
    background-position: right center;    /* moves the gradient */
    transform: scale(1.1) translateY(-3px); /* lift & zoom */
    box-shadow: 0 10px 25px rgba(255,94,0,0.6); /* strong glow */
}

/* PRODUCTS */
.phoenix-container {
    padding: 40px 8%;
    margin-top: 0;
    background: #fbfbfd;
    border-radius: 0 0 35px 35px;
    overflow: hidden;
    opacity: 0;
    transform: translatex(100px);
    transition: all 1s ease;
    margin-bottom: 80px;
}
/* When visible */
.phoenix-container.show {
    opacity: 1;
    transform: translateX(0);
}
.phoenix-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.phoenix-card {
    background: #ffffff;
    padding: 35px;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.05);
    transition: 0.3s;
 opacity: 0;
    transform: translateY(30px);
    transition: all 0.6s ease;
}

.phoenix-card.show {
    opacity: 1;
    transform: translateY(0);
}

.phoenix-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 20px 40px rgba(0,0,0,0.15);
    border-top: 4px solid #ff5e00;
}

.phoenix-card .icon {
    font-size: 36px;
    color: #ff5e00;
    margin-bottom: 20px;
}

.phoenix-card h3 {
    margin-bottom: 15px;
    font-size: 18px;
}

.phoenix-card p {
    font-size: 16px;
    color: #0b0a24;
    margin-bottom: 20px;
    line-height: 1.6;
}

.view-btn {
    padding: 8px 18px;
    background: #ff5e00;
    border: none;
    color: #fff;
    border-radius: 20px;
    cursor: pointer;
    transition: 0.3s;
    transition: all 0.4 ease;
}

.view-btn:hover {
    background: linear-gradient(135deg, #ff8c00, #ff5e00);
    transform: scale(1.1) translateY(-2px);
    box-shadow: 0 8px 20px rgba(255,94,0,0.5);
}

/* Highlight Card */
.highlight {
    grid-column: span 3;
    background: #0b0a24;
    color: #ccc;
    font-size: 18px;
}

.highlight p{
    color: #ccc;
    font-size: 18px;
}
.highlight h3 {
    color: #fff;
    font-size: 22px;

}

/* WHY SECTION */
.why-section {
    padding: 80px 8%;
    background: #fbfbfd;
    text-align: center;
    opacity: 0;
    transform: translateX(-100px); /* slide from left */
    transition: all 1s ease;
}

.why-section.show {
    opacity: 1;
    transform: translateX(0);
}

.why-section h2 {
    margin-bottom: 50px;
    font-size: 30px;
    color: #0b0a24;
  
}

.why-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
}

.why-box {
    padding: 30px;
    background: linear-gradient(135deg, #ff8c00, #ff5e00);
    border-radius: 10px;
    transition: 0.3s;
    opacity: 0;
    transform: translateY(50px);
    transition: all 0.6s ease;
}

/* Show when visible */
.why-box.show {
    opacity: 1;
    transform: translateY(0);
}
.why-box i {
    font-size: 44px;
    color: #0b0a24;
    margin-bottom: 15px;
}

.why-box:hover {
     background-position: right center;    /* moves the gradient */
    transform: scale(1.1) translateY(-3px); /* lift & zoom */
    box-shadow: 0 10px 25px rgba(255,94,0,0.6); /* strong glow */
}

/* Responsive */
@media(max-width: 992px){
    .phoenix-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .highlight {
        grid-column: span 2;
    }
    .why-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media(max-width: 600px){
    .phoenix-grid {
        grid-template-columns: 1fr;
    }
    .highlight {
        grid-column: span 1;
    }
    .why-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* ================= CERTIFICATE SECTION ================= */

.certificate-section {
    padding: 80px 8%;
    background: #fbfbfd;

    opacity: 0;
    transform: translateX(-100px);
    transition: all 4s ease;
}

/* show animation */
.certificate-section.show {
    opacity: 1;
    transform: translateX(0);
}

.cert-title {
    text-align: center;
    font-size: 44px;
    margin-bottom: 40px;
    color: #0b0a24;
}

/* GRID */
.certificate-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
}

/* CARD */
.certificate-card {
    background: #fff;
    padding: 15px;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.05);
    cursor: pointer;

    opacity: 0;
    transform: translateY(50px);
    transition: all 0.6s ease;
}

/* show animation */
.certificate-card.show {
    opacity: 1;
    transform: translateY(0);
}

/* IMAGE */
.certificate-card img {
    width: 100%;
    border-radius: 8px;
}

/* hover */
.certificate-card:hover {
    transform: translateY(-10px) scale(1.03);
    box-shadow: 0 20px 50px #7fa0de;
}

/* ================= POPUP ================= */

.cert-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0,0,0,0.9);
    display: flex;
    align-items: center;
    justify-content: center;

    opacity: 0;
    visibility: hidden;
    transition: 0.4s;
    z-index: 9999;
}

.cert-popup.active {
    opacity: 1;
    visibility: visible;
}

.cert-popup img {
    max-width: 90%;
    max-height: 90%;
    border-radius: 10px;
}

/* close button */
.close-btn {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 35px;
    color: #fff;
    cursor: pointer;
}

/* ================= RESPONSIVE ================= */

@media(max-width:992px){
    .certificate-container {
        grid-template-columns: repeat(2,1fr);
    }
}

@media(max-width:600px){
    .certificate-container {
        grid-template-columns: 1fr;
    }

    .cert-title {
        font-size: 28px;
    }
}

@media (max-width: 992px){
    .phoenix-grid{
        grid-template-columns: repeat(2, 1fr);
    }
    .highlight{
        grid-column: span 2;
    }
}

@media (max-width: 600px){
    .phoenix-grid{
        grid-template-columns: 1fr;
    }

    .highlight{
        grid-column: span 1;
    }
}